Package org.opensaml.saml.saml1.profile

# Class AbstractSAML1NameIdentifierGenerator

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
org.opensaml.saml.common.profile.AbstractNameIdentifierGenerator<NameIdentifier>
org.opensaml.saml.saml1.profile.AbstractSAML1NameIdentifierGenerator

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `FormatSpecificNameIdentifierGenerator<NameIdentifier>`, `NameIdentifierGenerator<NameIdentifier>`, `SAML1NameIdentifierGenerator`

public abstract class AbstractSAML1NameIdentifierGenerator extends AbstractNameIdentifierGenerator<NameIdentifier> implements SAML1NameIdentifierGenerator
Abstract base class for simple implementations of `SAML1NameIdentifierGenerator`.

This class is suitable for implementing generators that produce simple kinds of identifiers. It supports various options controlling the inclusion of qualifier attributes.

Subclasses must override one of `doGenerate(ProfileRequestContext)` or `AbstractNameIdentifierGenerator.getIdentifier(ProfileRequestContext)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private final SAMLObjectBuilder<NameIdentifier>`
`nameBuilder`
Builder for objects.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSAML1NameIdentifierGenerator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected NameIdentifier`
`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.

### Methods inherited from class org.opensaml.saml.common.profile.AbstractNameIdentifierGenerator

`generate, getDefaultIdPNameQualifierLookupStrategy, getDefaultSPNameQualifierLookupStrategy, getEffectiveIdPNameQualifier, getEffectiveSPNameQualifier, getFormat, getIdentifier, getIdPNameQualifier, getSPNameQualifier, getSPProvidedID, isOmitQualifiers, setActivationCondition, setDefaultIdPNameQualifierLookupStrategy, setDefaultSPNameQualifierLookupStrategy, setFormat, setIdPNameQualifier, setOmitQualifiers, setSPNameQualifier, setSPProvidedId, test`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Methods inherited from interface org.opensaml.saml.saml1.profile.SAML1NameIdentifierGenerator

`generate`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### nameBuilder

@Nonnull private final SAMLObjectBuilder<NameIdentifier> nameBuilder
Builder for objects.

## Constructor Details

### AbstractSAML1NameIdentifierGenerator

protected AbstractSAML1NameIdentifierGenerator()
Constructor.

## Method Details

### doGenerate

@Nullable protected NameIdentifier doGenerate(@Nonnull ProfileRequestContext profileRequestContext) throws SAMLException
Override this method to fully control the generation process.

Specified by:
  `doGenerate` in class `AbstractNameIdentifierGenerator<NameIdentifier>`
Parameters:
  `profileRequestContext` - current profile request context
Returns:
  the generated object
Throws:
  `SAMLException` - if an error occurs